/*
 * Item descriptor functions
 *
 * Copyright (c) 2010, Joachim Metz <jbmetz@users.sourceforge.net>
 * Copyright (c) 2008-2010, Joachim Metz <forensics@hoffmannbv.nl>,
 * Hoffmann Investigations.
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined( _LIBPFF_ITEM_DESCRIPTOR_H )
#define _LIBPFF_ITEM_DESCRIPTOR_H

#include <common.h>
#include <types.h>

#include <liberror.h>

#if defined( __cplusplus )
extern "C" {
#endif

typedef struct libpff_item_descriptor libpff_item_descriptor_t;

struct libpff_item_descriptor
{
	/* The descriptor identifier value
	 */
	uint32_t descriptor_identifier;

	/* Value to indicate if the item was recovered
	 */
	uint8_t recovered;
};

int libpff_item_descriptor_initialize(
     libpff_item_descriptor_t **item_descriptor,
     liberror_error_t **error );

int libpff_item_descriptor_free(
     intptr_t *item_descriptor,
     liberror_error_t **error );

int libpff_item_descriptor_clone(
     intptr_t **destination,
     intptr_t *source,
     liberror_error_t **error );

int libpff_item_descriptor_compare(
     intptr_t *first,
     intptr_t *second,
     liberror_error_t **error );

#if defined( __cplusplus )
}
#endif

#endif

